Bug 1279324 - WebUI - Unable to login to appliance from IE8/9 browsers
WebUI - Unable to login to appliance from IE8/9 browsers
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Brian McLaughlin
Dave Johnson
Depends On:
  Show dependency treegraph
Reported: 2015-11-09 02:57 EST by Ramesh A
Modified: 2018-01-29 21:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
IE-8-9-ERROR (33.73 KB, image/png)
2015-11-09 02:57 EST, Ramesh A
no flags Details

  None (edit)
Description Ramesh A 2015-11-09 02:57:39 EST
Created attachment 1091560 [details]

Description of problem:
Unable to login to appliance from IE8/9 browsers

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Provide the credentials and click on login button from IE 8/9 browsers

Actual results:
Displays 404 error stating "The page you were looking for doesn't exist" in the WebUI and throws "[----] F, [2015-11-09T02:39:51.084952 #2915:9cb990] FATAL -- : 
ActionController::RoutingError (No route matches [GET] /dashboard/authenticate"):" error in logs.
Refer the screenshot and production.log file for further information

Expected results:
Should be able to login successfully

Additional info:
[----] I, [2015-11-09T02:35:44.302339 #2915:9cb990]  INFO -- : Started GET "/dashboard/authenticate?button=login&method=post" for at 2015-11-09 02:35:44 -0500
[----] F, [2015-11-09T02:35:44.308474 #2915:9cb990] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/dashboard/authenticate"):
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/rack/logger.rb:38:in `call_app'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/rack/logger.rb:22:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/engine.rb:518:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/server.rb:80:in `start'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  /opt/rh/cfme-gemset/bundler/gems/rails-a37d0e57571f/railties/lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'
Comment 4 Brian McLaughlin 2015-11-09 12:37:03 EST
I cannot recreate the error in IE9, please see screenshot "IE9 successfully logged in".
Comment 5 Ramesh A 2015-11-18 04:59:04 EST
Good to go. Verified and working fine in

IE9 is working fine.
Comment 6 Ramesh A 2015-11-26 04:55:24 EST
Re-opening this issue as it is reproducible in the latest build  

Let me know if you require the environment details.
Comment 7 Brian McLaughlin 2015-11-30 09:29:11 EST

Please forward me the environment details.  They will help me debug between potentially different versions of IE9.
Comment 8 Ramesh A 2015-12-01 02:08:57 EST
Hi Brian,

I have sent the details through email.

Comment 12 Brian McLaughlin 2015-12-03 15:48:32 EST
I am able to login using IE9 with no issues.  I tested on two different versions of IE9 (screenshots attached) with the same results.  Please retest.
Comment 13 Ramesh A 2015-12-08 02:44:13 EST
Good to go. Verified and working fine in

Note You need to log in before you can comment on or make changes to this bug.